-- Filters Emotes from opposing faction

local hordeRaces = {
	["Tauren"] 		= 1,
	["Troll"]		= 1,
	["Orc"]			= 1,
	["Blood Elf"]	= 1,
	["Undead"]		= 1,
	["Goblin"]		= 1
}

local allianceRaces = {
	["Gnome"] 		= 1,
	["Human"]		= 1,
	["Draenei"]		= 1,
	["Dwarf"]		= 1,
	["Night Elf"]	= 1,
	["Worgen"]		= 1
}

local opposingRaces = UnitFactionGroup("player") == "Horde"
	and allianceRaces or hordeRaces

function FilterOpposingFactionSpeech(self, event, msg, sender, language, ...)
	local guid = select(9,...)
	if guid then
		local race = select(3, GetPlayerInfoByGUID(guid))
		if race and opposingRaces[race] then
			return 1
		end
		if race == "Pandaren" then
			if UnitFactionGroup("player") == "Horde" and language == "Common" then
				return 1
			end
			if UnitFactionGroup("player") == "Alliance" and language == "Orcish" then
				return 1
			end
		end
	end
end

ChatFrame_AddMessageEventFilter("CHAT_MSG_EMOTE",
	FilterOpposingFactionSpeech)
ChatFrame_AddMessageEventFilter("CHAT_MSG_TEXT_EMOTE",
	FilterOpposingFactionSpeech)
ChatFrame_AddMessageEventFilter("CHAT_MSG_YELL",
	FilterOpposingFactionSpeech)
ChatFrame_AddMessageEventFilter("CHAT_MSG_SAY",
	FilterOpposingFactionSpeech)